it-swarm-ja.com

SSLサポートされていないプロトコルエラー

Ncatを使用して仮想Windows7とLinuxマシンを接続しようとしています。

Linuxの場合:

ncat -vnl 4444 --ssl

Windowsの場合:

ncat -v 10.10.14.2 4444 --ssl

そして、クライアントから接続しようとすると、次のエラーが発生します。

Ncat: Failed SSL connection from 10.10.14.2: error:1417D102:SSL routines:
tls_process_client_hello:unsupported protocol

私が試したがうまくいかなかった:

  • 追加のパラメーターの追加--ssl-certtest-cert.pem --ssl-key test-key.pem
  • 逆の方法(Linuxクライアント、Windowsサーバー)を試してみましたが、私もたくさんグーグルで検索しましたが、実際の解決策を見つけることができませんでした。すべてが間違っている可能性があります。

Openssls_clientを使用してこれを機能させることができます。しかし、ncatを使用する必要があります。どうすればこの問題を解決できますか?

2
Spring

問題は、LinuxncatサーバーがSSL接続にTLS1.2のみを使用することです。 WindowsncatはTLS1.2を使用していません。これにより、サポートされていないプロトコルエラーが発生します。

Linuxでncatバージョン7.60を使用し、さまざまなプロトコルオプションを使用してopenssl s_clientで接続すると、この問題を再現できます。 ncat 7.60は、SSL接続にtls1.2のみを使用します。

Ncatを使用してこれを機能させるには、両方のシステムに同じバージョンのncatをインストールします。

5
ztk

TLSの最小バージョンを設定するものがあるかどうかを/ect/ssl/openssl.confで確認してください。

たとえば、設定の下部にこれがあります。

[system_default_sect]
MinProtocol = TLSv1.2
CipherString = [email protected]=2

あなたの問題は、MinProtocolがTCP 1.2のみを受け入れるように設定されていることだと思います

これはより安全な構成ですが、PWKを実行している場合は、ncatで逆シェルが可能になるように、このセクションをコメントアウトすることをお勧めします。

1
ToastyBreadMan

あなたはPWKから来ているようですので、彼らのフォーラムでエラッタをチェックしてください。

彼らのフォーラムからはopenssl s_clientは、少なくともこの問題がWindows7仮想マシンで解決されるまでは許容されます。

本当にneedncatを使用する場合は、最新バージョンにアップグレードすると役立つはずです。

0
s14ve

Kaliの更新バージョンを使用している場合、ファイルは/etc/ssl/openssl.cnfにあります。MinProtocolオプションに移動し、TLSv1.0に設定します。実行する簡単なコマンドは

locate openssl.c
0
e-Euler